package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 保养标准信息对象 dms_base_maint_standard
 *
 * @author xins
 * @date 2024-01-05
 */
public class DmsBaseMaintStandard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long maintStandardId;

    /** 标准编号 */
    @Excel(name = "标准编号")
    private String maintStandardCode;

    /** 设备类型ID，关联dms_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dms_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 保养标准 */
    @Excel(name = "保养标准")
    private String maintProtocol;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationDescription;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private String TypeName;

    public String getTypeName() {
        return TypeName;
    }

    public void setTypeName(String typeName) {
        TypeName = typeName;
    }

    public void setMaintStandardId(Long maintStandardId)
    {
        this.maintStandardId = maintStandardId;
    }

    public Long getMaintStandardId()
    {
        return maintStandardId;
    }
    public void setMaintStandardCode(String maintStandardCode)
    {
        this.maintStandardCode = maintStandardCode;
    }

    public String getMaintStandardCode()
    {
        return maintStandardCode;
    }
    public void setDeviceTypeId(Long deviceTypeId)
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId()
    {
        return deviceTypeId;
    }
    public void setMaintProtocol(String maintProtocol)
    {
        this.maintProtocol = maintProtocol;
    }

    public String getMaintProtocol()
    {
        return maintProtocol;
    }
    public void setOperationDescription(String operationDescription)
    {
        this.operationDescription = operationDescription;
    }

    public String getOperationDescription()
    {
        return operationDescription;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("maintStandardId", getMaintStandardId())
            .append("maintStandardCode", getMaintStandardCode())
            .append("deviceTypeId", getDeviceTypeId())
            .append("maintProtocol", getMaintProtocol())
            .append("operationDescription", getOperationDescription())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
